Bug 524111 - virt-manager can't hold pointer grab on VMs (VNC mode)
virt-manager can't hold pointer grab on VMs (VNC mode)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-17 17:39 EDT by Lucas Meneghel Rodrigues
Modified: 2015-10-18 18:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-20 14:45:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Meneghel Rodrigues 2009-09-17 17:39:14 EDT
Description of problem: virt-manager (using the default VNC driver for video) is failing to grab mouse pointer on VM windows.

Version-Release number of selected component (if applicable):

Virt-manager version:

virt-manager-0.8.0-3.fc12.noarch

Other relevant package versions:

gtk-vnc-0.3.9-1.fc12.i686
gtk-vnc-python-0.3.9-1.fc12.i686
libvirt-python-0.7.1-1.fc12.i686
libvirt-client-0.7.1-1.fc12.i686
libvirt-0.7.1-1.fc12.i686
qemu-img-0.10.92-4.fc12.i686
qemu-kvm-0.10.92-4.fc12.i686
qemu-common-0.10.92-4.fc12.i686
gpxe-roms-qemu-0.9.7-5.fc12.noarch
qemu-system-x86-0.10.92-4.fc12.i686


How reproducible: Allways


Steps to Reproduce:
1. Try to grab VM pointer by clicking inside a VM VNC display.
2. Window title will have "Press Ctrl+Alt to release pointer" appended to it.
3. Try to move the pointer outside of the VM window.
  
Actual results: Pointer gets out of the VM window, even though Ctrl+Alt was not pressed.

Expected results: Pointer should stay inside the application unless Ctrl+Alt is pressed.
Comment 1 Mark McLoughlin 2009-09-21 12:32:47 EDT
Could you include ~/.virt-manager/virt-manager.log ?

Does it work with virt-viewer ?
Comment 2 Bug Zapper 2009-11-16 07:35:06 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Mark McLoughlin 2009-11-20 14:45:36 EST
No response to needinfo since 2009-09-21, closing

Note You need to log in before you can comment on or make changes to this bug.